Foreman - Feature #33484

Add setting for redirecting to the new host details page
09/14/2021 06:55 PM - Amir Fefer

Status: Closed
Priority: Normal
Assignee: Amir Fefer
Category: Web Interface
Target version: 3.1.0
Difficulty: Fixed in Releases: 3.1.0
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/8780,
https://github.com/theforeman/foreman/p
ull/8879
Description
The setting opt-in/out the new host details page
Related issues:
Related to Foreman - Bug #34300: Host form redirect relies on the primary int... Closed
Related to Foreman - Bug #34166: Use the new host page by default Closed
Related to Foreman - Bug #34371: Host form redirect does not work for unmanag... Closed
Related to Foreman - Bug #34572: The Submit button on a host form redirects t... Closed
Related to Foreman - Bug #34579: Cancel host form redirects to legacy host Ul Closed

Associated revisions

Revision 28765788 - 11/02/2021 03:01 PM - Amir Fefer
Fixes #33484 - add setting for opt-in/out the new host details

History

#1 - 09/14/2021 07:23 PM - The Foreman Bot
- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8780 added

#2 - 10/21/2021 09:58 AM - Amir Fefer

- Target version set to 3.1.0

#3 - 10/26/2021 09:26 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/8879 added

#4 - 11/02/2021 03:01 PM - The Foreman Bot
- Fixed in Releases 3.1.0 added

#5 - 11/02/2021 04:01 PM - Amir Fefer
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|28765788dc12b69a6d13d1c2099fa136ea08a705.

#6 - 01/21/2022 04:39 PM - Ondfej Ezr

- Related to Bug #34300: Host form redirect relies on the primary interface being the first interface added

#7 - 02/01/2022 06:36 PM - Ondrej Ezr
- Related to Bug #34166: Use the new host page by default added
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/28765788dc12b69a6d13d1c2099fa136ea08a705

#8 - 02/01/2022 06:39 PM - Ondfrej Ezr

- Related to Bug #34371: Host form redirect does not work for unmanaged host added

#9 - 03/08/2022 09:37 AM - Ondrej Ezr
- Related to Bug #34572: The Submit button on a host form redirects to an invalid page added

#10 - 03/09/2022 11:27 AM - Ondriej Ezr
- Related to Bug #34579: Cancel host form redirects to legacy host Ul added
